<?php

	function alert($mensaje=""){
		echo "<SCRIPT>alert(\"$mensaje\");</SCRIPT>";
	}
	function location($url="#"){
		echo "<script> document.location.href=\"$url\"; </script>";
	}
	

	//Autor:DVB
	//Fecha: 2005-10-12	
	//Formato de Fecha Requerido YYYY-mm-dd
	function fechaEnLetras($fecha){
		$mes["01"]="Enero";
		$mes["02"]="Febrero";
		$mes["03"]="Marzo";
		$mes["04"]="Abril";
		$mes["05"]="Mayo";
		$mes["06"]="Junio";
		$mes["07"]="Julio";
		$mes["08"]="Agosto";
		$mes["09"]="Septiembre";
		$mes["10"]="Octubre";
		$mes["11"]="Noviembre";
		$mes["12"]="Diciembre";

		$dia[1]="Lunes";
		$dia[2]="Martes";
		$dia[3]="Miercoles";
		$dia[4]="Jueves";
		$dia[5]="Viernes";
		$dia[6]="Sabado";
		$dia[0]="Domingo";
	//echo " , ".$fecha." ";	
	$temp  = split("-",$fecha);
	$temp2 = strftime("%w",mktime(0,0,0,$temp[1],$temp[2],$temp[0]));
	//print_r($temp2);		
	$temp3 = $dia[$temp2]." ".$temp[2]." de ".$mes[$temp[1]]." de ".$temp[0];
		
	return $temp3;
	}

# Return global variable
function returnGlobal($var,$type){
	if (phpversion() >= "4.1.0") {
		if ($type == "SERVER") {
			if (isset($_SERVER[$var])){
				return $_SERVER[$var];
			}else{
				return false;
			}
		}
		if ($type == "POST") {
			if (isset($_POST[$var])){
				return $_POST[$var];
			}else{
				return false;
			}
		}
		if ($type == "GET") {
			if (isset($_GET[$var])){
				return $_GET[$var];
			}else{
				return false;
			}
		}
		if ($type == "SESSION") {
			if (isset($_SESSION[$var])){
				return $_SESSION[$var];
			}else{
				return false;
			}
		}
		if ($type == "REQUEST") {
			if (isset($_REQUEST[$var])){
				return $_REQUEST[$var];
			}else{
				return false;
			}
		}
		if ($type == "COOKIE") {
			if (isset($_COOKIE[$var])){
				return $_COOKIE[$var];
			}else{
				return false;
			}
		}
	} else {
		if ($type == "SERVER") {
			return $_SERVER[$var];
		}
		if ($type == "POST") {
			return $HTTP_POST_VARS[$var];
		}
		if ($type == "GET") {
			return $HTTP_GET_VARS[$var];
		}
		if ($type == "SESSION") {
			return $HTTP_SESSION_VARS[$var];
		}
		if ($type == "REQUEST") {
			if ($HTTP_POST_VARS[$var] != "") {
				return $HTTP_POST_VARS[$var];
			} else if ($HTTP_GET_VARS[$var] != "") {
				return $HTTP_GET_VARS[$var];
			}
		}
		if ($type == "COOKIE") {
			return $HTTP_COOKIE_VARS[$var];
		}
	}
}

# Redirect
function headerFunction($url) {
	header("Location: $url");
}

//Funcion para obtener el IP real del Cliente
function getRealIP()
{
   
   if(isset($_SERVER['HTTP_X_FORWARDED_FOR']))
   {
      $client_ip =
         ( !empty($_SERVER['REMOTE_ADDR']) ) ?
            $_SERVER['REMOTE_ADDR']
            :
            ( ( !empty($_ENV['REMOTE_ADDR']) ) ?
               $_ENV['REMOTE_ADDR']
               :
               "unknown" );
   
      // los proxys van añadiendo al final de esta cabecera
      // las direcciones ip que van "ocultando". Para localizar la ip real
      // del usuario se comienza a mirar por el principio hasta encontrar
      // una dirección ip que no sea del rango privado. En caso de no
      // encontrarse ninguna se toma como valor el REMOTE_ADDR
   
      $entries = split('[, ]', $_SERVER['HTTP_X_FORWARDED_FOR']);
   
      reset($entries);
      while (list(, $entry) = each($entries))
      {
         $entry = trim($entry);
         if ( preg_match("/^([0-9]+\.[0-9]+\.[0-9]+\.[0-9]+)/", $entry, $ip_list) )
         {
            // http://www.faqs.org/rfcs/rfc1918.html
            $private_ip = array(
                  '/^0\./',
                  '/^127\.0\.0\.1/',
                  '/^192\.168\..*/',
                  '/^172\.((1[6-9])|(2[0-9])|(3[0-1]))\..*/',
                  '/^10\..*/');
   
            $found_ip = preg_replace($private_ip, $client_ip, $ip_list[1]);
   
            if ($client_ip != $found_ip)
            {
               $client_ip = $found_ip;
               break;
            }
         }
      }
   }
   else
   {
      $client_ip =
         ( !empty($_SERVER['REMOTE_ADDR']) ) ?
            $_SERVER['REMOTE_ADDR']
            :
            ( ( !empty($_ENV['REMOTE_ADDR']) ) ?
               $_ENV['REMOTE_ADDR']
               :
               "unknown" );
   }
   
   return $client_ip;
   
}


function arreglafecha($fecha,$format = "")
{

	if($format != ""){
		$tmp = split("-",$fecha);
		if($format == "YYYY-mm-dd"){
			if($tmp[0] < 1000){
				$fechaout = $tmp[2]."-".$tmp[1]."-".$tmp[0];	
			}else{
				$fechaout = $fecha;
			}
		}elseif($format == "dd-mm-YYYY"){
			if($tmp[2] < 1000){
				$fechaout = $tmp[2]."-".$tmp[1]."-".$tmp[0];	
			}else{
				$fechaout = $fecha;
			}
		}
	}else{
		//transforma tipo fecha yyyy-mm-dd en dd-mm-yyyy para mostrar en el mail.
		$fechain = split("-",$fecha);
		$fechaout = $fechain[2]."-".$fechain[1]."-".$fechain[0];	
	}
	return $fechaout;
}

function utf8dec ( $s_String ){
        $s_String = html_entity_decode(htmlentities($s_String." ", ENT_COMPAT, 'UTF-8'));
        return substr($s_String, 0, strlen($s_String)-1);
}

?>